py4j.model

## Class HelpPageGenerator

- java.lang.Object
- - py4j.model.HelpPageGenerator

-     public class HelpPageGenerator
      extends Object

  The HelpPageGenerator generates a help page (a String) for a class or a method.

  Author:
    Barthelemy Dagenais

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DOUBLE_LINES`
    `static String` | `INDENT`
    `static String` | `PREFIX`
    `static String` | `PREFIX_INDENT`
    `static String` | `PREFIX_SEPARATOR`
    `static String` | `SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HelpPageGenerator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getHelpPage(Py4JClass clazz, String pattern, boolean shortName)`
    `static String` | `getHelpPage(Py4JMethod method, boolean shortName)`
    `static Pattern` | `getRegex(String pattern)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

    - #### INDENT

          public static final String INDENT

      See Also:
        Constant Field Values

    - #### PREFIX_INDENT

          public static final String PREFIX_INDENT

      See Also:
        Constant Field Values

    - #### DOUBLE_LINES

          public static final String DOUBLE_LINES

      See Also:
        Constant Field Values

    - #### SEPARATOR

          public static final String SEPARATOR

      See Also:
        Constant Field Values

    - #### PREFIX_SEPARATOR

          public static final String PREFIX_SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HelpPageGenerator

          public HelpPageGenerator()

  - ### Method Detail

    - #### getHelpPage

          public static final String getHelpPage(Py4JClass clazz,
                                                 String pattern,
                                                 boolean shortName)

      Parameters:
        `clazz` -
        `pattern` - Star pattern.
        `shortName` -
      Returns:

    - #### getHelpPage

          public static final String getHelpPage(Py4JMethod method,
                                                 boolean shortName)

    - #### getRegex

          public static final Pattern getRegex(String pattern)